Index: npl/kernel/drbd8/boot.drbd
===================================================================
--- npl/kernel/drbd8/boot.drbd	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ npl/kernel/drbd8/boot.drbd	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -3,8 +3,7 @@
 if [ -f /proc/drbd ] && grep cdroot /proc/cmdline; then
 	syn3-install-bootloader
-        splashinfo "Redundancy installation finshed, please reboot when syncronication is completed."
+        splashinfo "Redundancy installation finshed, rebooting..."
         #reboot right away to make things easier for the administrator
-        #reboot
-        #NO: this creates splitbrains if other node isnt rebooted quickly enough
+        reboot
 fi
 
Index: npl/kernel/drbd8/drbd8.SlackBuild
===================================================================
--- npl/kernel/drbd8/drbd8.SlackBuild	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ npl/kernel/drbd8/drbd8.SlackBuild	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -15,13 +15,13 @@
 
 
-VERSION=8.4.11-1
+VERSION=8.4.8-1
 PKGVERSION=`echo $VERSION| sed 's/-/_/'`
 
-#tar -xzf drbd-$VERSION.tar.gz || exit 1
-#cd drbd-$VERSION
+tar -xzf drbd-$VERSION.tar.gz || exit 1
+cd drbd-$VERSION
 ARCH=${ARCH:-i486}
 BUILD=1DatuX
 
-#chown -R root.root .
+chown -R root.root .
 
 
@@ -36,10 +36,20 @@
 fi
 
+#autoreconf || exit 1
+#./configure --prefix=/usr --localstatedir=/var --sysconfdir=/etc --with-km --with-utils --without-heartbeat without-pacemaker --without-rgmanager --without-xen || exit 1
 
-#kernel module. 
-#NEE: zit nu in kernel 5.10
-#make clean all || exit 1
+
+#userspace tools
 #make -j1 || exit 1
-#make -j1 install DESTDIR=$PKG || exit 1
+#make  doc || exit 1
+#make -j1 DESTDIR=$PKG install || exit 1
+
+#kernel module
+#cd drbd
+make clean all || exit 1
+make -j1 || exit 1
+make -j1 install DESTDIR=$PKG || exit 1
+#mkdir -p $PKG/lib/modules/`uname -r`/kernel/drivers/block
+#cp drbd.ko $PKG/lib/modules/`uname -r`/kernel/drivers/block || exit 1
 
 
@@ -53,5 +63,4 @@
 cp $CWD/services.drbd $PKG/home/system/firewall || exit 1
 
-#boot script
 mkdir -p $PKG/etc/boot.d || exit 1
 cp $CWD/boot.drbd $PKG/etc/boot.d || exit 1
@@ -60,4 +69,6 @@
 #package maken
 cd $PKG
+#makepkg -l y -c n $TMP/samba-$VERSION-$ARCH-$BUILD.tgz
+#mv $TMP/samba-$VERSION-$ARCH-$BUILD.tgz $CWD
 NAME=`echo $0|cut -f2 -d'.'`
 makepkg -l y -c n $CWD/$NAME.pkg > /dev/null &&
Index: npl/kernel/drbd8/drbd8.build
===================================================================
--- npl/kernel/drbd8/drbd8.build	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ 	(revision )
@@ -1,1 +1,0 @@
-6572
Index: npl/kernel/drbd8/drbd8.depver
===================================================================
--- npl/kernel/drbd8/drbd8.depver	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ npl/kernel/drbd8/drbd8.depver	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -1,3 +1,3 @@
 linux	0
-linux_src	5140120005
+linux_src	404033004
 linux_headers	0
Index: npl/kernel/drbd8/drbd8.md5
===================================================================
--- npl/kernel/drbd8/drbd8.md5	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ npl/kernel/drbd8/drbd8.md5	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -1,6 +1,8 @@
-8770e6c2ab88f6e50bac9be1926704f2  ./boot.drbd
-c1e145eb803de5b8c7c8faac8ab31728  ./drbd8.pkg
-ce3231aa6936e237b6a6a6193e6bfcaf  ./drbd8.SlackBuild
-83fac145615111183dd765f44744029b  ./drbd8.SlackBuild.log.gz
-7aea41ce9a260371e6b6e5d254b7063b  ./post.drbd
+a8cd8b59b93a7d398916dbc87267cb57  ./boot.drbd
+aabd6c255cdf11d341c862ed65c64f53  ./drbd-8.4.7-1.tar.gz
+1e55a2659d0ade21f3ec3c31b8669afc  ./drbd-8.4.8-1.tar.gz
+cd925330fd0acf5b6825ea479afcb518  ./drbd8.pkg
+4ddc712a6a2ed9f67d1193fd3f952a23  ./drbd8.SlackBuild
+89595cdb15912b2b2cb38edae82b2334  ./drbd8.SlackBuild.log.gz
+9082e75585e4017d4e30075f16d61cfb  ./post.drbd
 2e44be0727010c5da61039e63c7a2575  ./services.drbd
Index: npl/kernel/drbd8/drbd8.version
===================================================================
--- npl/kernel/drbd8/drbd8.version	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ npl/kernel/drbd8/drbd8.version	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -1,1 +1,1 @@
-8.4.11_1
+8.4.8_1
Index: npl/kernel/drbd8/post.drbd
===================================================================
--- npl/kernel/drbd8/post.drbd	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ npl/kernel/drbd8/post.drbd	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -1,5 +1,3 @@
 #!/bin/bash
-
-touch /var/log/packages/drbd-9999-i586-9999
 
 create()
